List Credit notes
/unified/accounting/credit_notes
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
This represents the date when the credit note was created
4 supported
This represents the date when the credit note was updated
5 supported
The number of the credit note
5 supported
The currency of the credit note
5 supported
The status of the credit note
authorisedpaidsubmittedvoided
4 supported
paidauthorisedsubmittedThis should only accept items in ascending order.
created_atnumberremaining_credittotal_amount
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Credit notes
The unique identifier for credit notes
5 supported
The company of the credit note
3 supported
The contact of the credit note
5 supported
This represents the date when the credit note was created
4 supported
The currency of the credit note
5 supported
The line items of the credit note
3 supported
13 properties
The ID of the account
The currency of the line item
The description of the line item
The exchange rate of the currency for the line item
The unique identifier for line item
The ID of the item
The name of the line item
The quantity of the line item
The ID of the tax rate
The total line amount of the line item.
Tracking categories of the line item
3 properties
The ID of the tracking category
The name of the tracking category
The option of the tracking category
The type of the line item
The unit price of the line item
The number of the credit note
5 supported
The remaining credit of the credit note
4 supported
Raw data returned from the remote API call.
The status of the credit note
paidsubmittedauthorisedvoided
4 supported
The total amount of the credit note
5 supported
Tracking categories of the credit notes
2 supported
3 properties
The ID of the tracking category
The name of the tracking category
The option of the tracking category
The transaction date of the credit note
5 supported
This represents the date when the credit note was updated
5 supported
curl -X GET 'https://api.truto.one/unified/accounting/credit_notes?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/accounting/credit_notes?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/accounting/credit_notes"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'accounting',
'creditnotes',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"accounting",
"creditnotes",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())